## org.eclipse.emf.cdo.ui.defs.util
Class CDOUIDefsSwitch<T>

    java.lang.Object
      org.eclipse.emf.cdo.ui.defs.util.CDOUIDefsSwitch<T>

    public class CDOUIDefsSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `CDOUIDefsPackage`

Field Summary
`protected static CDOUIDefsPackage` `modelPackage` The cached model package

Constructor Summary
`CDOUIDefsSwitch()` Creates an instance of the switch.

Method Summary
`T` `caseCDOEditorDef(CDOEditorDef object)` Returns the result of interpreting the object as an instance of 'CDO Editor Def'.
`T` `caseDef(org.eclipse.net4j.util.defs.Def object)` Returns the result of interpreting the object as an instance of 'Def'.
`T` `caseEditorDef(EditorDef object)` Returns the result of interpreting the object as an instance of 'Editor Def'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static CDOUIDefsPackage modelPackage

  The cached model package

Constructor Detail

### CDOUIDefsSwitch

    public CDOUIDefsSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseEditorDef

    public T caseEditorDef(EditorDef object)

  Returns the result of interpreting the object as an instance of 'Editor Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Editor Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOEditorDef

    public T caseCDOEditorDef(CDOEditorDef object)

  Returns the result of interpreting the object as an instance of 'CDO Editor Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Editor Def'.
  See Also:
    `doSwitch(EObject)`

### caseDef

    public T caseDef(org.eclipse.net4j.util.defs.Def object)

  Returns the result of interpreting the object as an instance of 'Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Def'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.